- GET /history#
Return a list of transactions made to an account.
The bank account is determined via the base URL and/or the user name in the
Authorizationheader. In fact, the transaction history might come from a “virtual” account, where multiple real bank accounts are merged into one history.Transactions are identified by an opaque
row_idnumerical identifier. Its semantics (including its sorting order) are determined by the bank server and are completely opaque to the client.Request:
- Query Parameters:
limit – Optional. At most return the given number of results. Negative for descending by
row_id, positive for ascending byrow_id. Defaults to-20. Since protocol v1.offset – Optional. Starting
row_idfor pagination. Since protocol v1.timeout_ms – Optional. Timeout in milliseconds, for long-polling, to wait for at least one element to be shown. Only useful if limit is positive. Since protocol v1.
delta – Optional. Deprecated in protocol v1. Use limit instead.
start – Optional. Deprecated in protocol v1. Use offset instead.
long_poll_ms – Optional. Deprecated in protocol v1. Use timeout_ms instead.
Response:
- 200 OK:
JSON object of type RevenueIncomingHistory.
- 400 Bad request:
Request malformed. The bank replies with an ErrorDetail object.
- 401 Unauthorized:
Authentication failed, likely the credentials are wrong.
- 404 Not found:
The endpoint is wrong or the user name is unknown. The bank replies with an ErrorDetail object.
Details:
interface RevenueIncomingHistory { // Array of incoming transactions. incoming_transactions : RevenueIncomingBankTransaction[]; // Full payto URI to identify the receiver of funds. // Credit account is shared by all incoming transactions // as per the nature of the request. credit_account: string; }
interface RevenueIncomingBankTransaction { // Opaque identifier of the returned record. row_id: SafeUint64; // Date of the transaction. date: Timestamp; // Amount received before credit_fee. amount: Amount; // Fee payed by the creditor. // If not null, creditor actually received amount - credit_fee // @since **v1** credit_fee?: Amount; // Full payto URI to identify the sender of funds. debit_account: string; // The wire transfer subject. subject: string; }